# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'deadlift/version'

Gem::Specification.new do |spec|
  spec.name          = 'deadlift'
  spec.version       = Deadlift::VERSION
  spec.authors       = ['Karl Metum']
  spec.email         = ['karl.metum@codehacker.se']

  spec.summary       = %q{A gem that shrinkens your fat controller}
  spec.description   = %q{Deadlift is a powerful gem that shrinkens your fat code}
  spec.homepage      = 'https://github.com/karlingen/deadlift'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'reform', '~> 2.0.5', '>= 2.0.5'
  spec.add_dependency 'activemodel', '~> 4.2.0', '>= 4.2.0'
  spec.add_dependency 'hashugar', '~> 1.0'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'pry', '~> 0.10.3'
  spec.add_development_dependency 'rspec', '~> 3.3'
  spec.add_development_dependency 'guard', '~> 2.13'
  spec.add_development_dependency 'guard-rspec', '~> 4.6', '>= 4.6.4'
end
