class SomeDefaultBarbell < Deadlift::Base
  validate :deadlift_validation

  def perform
    perform_and_report_for_valid do
      result.some_value = barbell.some_value
    end
  end

  def result
    @result ||= OpenStruct.new
  end

  def deadlift_validation
    if barbell.some_value == 2
      barbell.errors.add(:base, :invalid)
    end
  end
end
