describe Deadlift::Barbell::Default do

  subject{described_class.new(params)}

  let(:params) { {} }

  context '#approved?' do

    specify {
      expect(subject.approved?).to be_truthy
      subject.errors.add(:some_property, 'property is not valid')
      expect(subject.approved?).to be_falsey
    }
  end

  context 'setting values' do
    let(:params) { { test: :value } }
    specify { expect(subject.test).to eq :value }
  end
end
